Bug 1302229 - segfault in script after ulimit -v [RHEL-7]
Summary: segfault in script after ulimit -v [RHEL-7]
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: zsh   
(Show other bugs)
Version: 7.2
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: rc
: ---
Assignee: Kamil Dudka
QA Contact: Jan Kepler
Maxim Svistunov
URL:
Whiteboard:
Keywords: Patch
Depends On:
Blocks: 1300958
TreeView+ depends on / blocked
 
Reported: 2016-01-27 09:11 UTC by Kamil Dudka
Modified: 2016-11-03 23:03 UTC (History)
4 users (show)

Fixed In Version: zsh-5.0.2-18.el7
Doc Type: Bug Fix
Doc Text:
*zsh* handles the "out of memory" scenario gracefully now The *zsh* shell allocates memory while printing the `out of memory` fatal error message. Previously, if the printing routine failed to allocate memory, it triggered an infinite recursion. Consequently, the *zsh* process terminated unexpectedly due to a stack overflow. With this update, the infinite recursion no longer appears in this scenario. As a result, after printing the fatal error message, *zsh* now terminates gracefully in case it runs out of memory.
Story Points: ---
Clone Of: 1300958
Environment:
Last Closed: 2016-11-03 23:03:06 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:2152 normal SHIPPED_LIVE zsh bug fix update 2016-11-03 13:13:01 UTC

Description Kamil Dudka 2016-01-27 09:11:48 UTC
+++ This bug was initially created as a clone of Bug #1300958 +++

--- Additional comment from Kamil Dudka on 2016-01-25 14:56 CET ---
Created attachment #1118021 [details]
proof-of-concept reproducer

I have attached a universal reproducer script.  It is not completely reliable because dynamic linker and pthread run-time may run out of memory sooner than zsh itself in some cases.  Nevertheless, I am able to trigger the infinite recursion with upstream git HEAD if I create a statically linked executable.

--- Additional comment from Kamil Dudka on 2016-01-25 16:22:58 CET ---

reported upstream:

http://www.zsh.org/mla/workers/2016/msg00310.html

--- Additional comment from Kamil Dudka on 2016-01-27 09:25:40 CET ---

upstream commits:

https://sourceforge.net/p/zsh/code/ci/be32864e
https://sourceforge.net/p/zsh/code/ci/69c86cd2

--- Additional comment from Kamil Dudka on 2016-01-27 10:08:07 CET ---

fixed in zsh-5.2-4.fc24

Comment 8 errata-xmlrpc 2016-11-03 23:03:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-2152.html


Note You need to log in before you can comment on or make changes to this bug.